# QVM: Quaternions, Vectors, Matrices

### swap_cols

#include <boost/qvm/map_mat_mat.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <int C1,int C2>
            -unspecified-return-type- swap_cols();
        }
    }

The expression swap_cols<C1,C2>(m) returns a view proxy that looks like the matrix m with rows C1 and C2 swapped.

See also: boost/qvm/map_mat_mat.hpp